Package org.lwjgl.opengl

# Class EXTTextureSRGB

java.lang.Object
org.lwjgl.opengl.EXTTextureSRGB

public final class EXTTextureSRGB extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_SLUMINANCE_ALPHA_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_COMPRESSED_SLUMINANCE_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_COMPRESSED_SRGB_ALPHA_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.
`static final int`
`GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.
`static final int`
`GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.
`static final int`
`GL_COMPRESSED_SRGB_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_COMPRESSED_SRGB_S3TC_DXT1_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.
`static final int`
`GL_SLUMINANCE_ALPHA_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SLUMINANCE_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SLUMINANCE8_ALPHA8_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SLUMINANCE8_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB_ALPHA_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB8_ALPHA8_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB8_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SRGB_EXT

public static final int GL_SRGB_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SRGB8_EXT

public static final int GL_SRGB8_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SRGB_ALPHA_EXT

public static final int GL_SRGB_ALPHA_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SRGB8_ALPHA8_EXT

public static final int GL_SRGB8_ALPHA8_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE_ALPHA_EXT

public static final int GL_SLUMINANCE_ALPHA_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE8_ALPHA8_EXT

public static final int GL_SLUMINANCE8_ALPHA8_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE_EXT

public static final int GL_SLUMINANCE_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE8_EXT

public static final int GL_SLUMINANCE8_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_EXT

public static final int GL_COMPRESSED_SRGB_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_EXT

public static final int GL_COMPRESSED_SRGB_ALPHA_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SLUMINANCE_EXT

public static final int GL_COMPRESSED_SLUMINANCE_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SLUMINANCE_ALPHA_EXT

public static final int GL_COMPRESSED_SLUMINANCE_ALPHA_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_S3TC_DXT1_EXT

public static final int GL_COMPRESSED_SRGB_S3TC_DXT1_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT

public static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT

public static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT

public static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.

See Also:
  - Constant Field Values